Licenses
Get license records for a company.
View as MarkdownReturns a paginated list of licenses held by the specified company.
Endpoint
GET /api/v1/companies/:company_id/licensesParameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
page | integer | query | Page number (default: 1). |
limit | integer | query | Records per page (default: 100). |
Code Examples
Get licenses
import requests
url = 'https://statsnet.co/api/v1/companies/12345/licenses'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)Response
Success response
{
"licenses": [
{
"id": 1,
"identifier": "302233483",
"name": "Company Name LLC",
"license_number": "LIC-2024-001",
"application_number": null,
"status": "active",
"category": "construction",
"industries": null,
"licensor_name": "Ministry of Industry",
"jurisdiction": "kz",
"start_date": "2024-01-01T00:00:00Z",
"end_date": "2027-01-01T00:00:00Z"
}
],
"total": 1,
"pagination_total": 1,
"pagination_offset": 0
}Error Handling
Error response
{
"status": 403,
"message": "access denied"
}This endpoint can also return {"status": 402, "message": "payment required"} when the subscription is canceled or expired, and {"status": 429, "message": "quota exhausted"} when the plan’s report quota for the current period is used up.